Single Transaction

GET/api/v1/transaction/:transaction_id

Verify a transaction by PVB internal id. Useful for reconciliation and status verification flows.

Path Parameters

NameTypeRequiredDescription
transaction_idstringYesPVB internal transaction id.

Query Parameters

NameTypeRequiredDescription
wallet_idstringNoIf provided, the transaction must belong to this wallet and the authenticated business.
1
Request Example
(cURL)
curl -X GET "https://api.piggyvest.business/api/v1/transaction/:transaction_id" \
-H "Authorization: Bearer YOUR_SECRET_KEY"
2
Success Response(200)
(JSON)
{
"status": true,
"message": "Transaction fetched successfully",
"data": {
"id": "string",
"available_balance": 0,
"amount": 0,
"fee": 0,
"reference": "string",
"category": "string",
"third_party_reference": "string | null",
"customer_id": "string",
"source_wallet": "string",
"destination_wallet": "string",
"narration": "string",
"internal_reference": "string",
"status": "pending | successful | failed | partial",
"session_id": "string | null",
"meta": {},
"created_at": "string",
"updated_at": "string",
"source_wallet_balance": 0,
"destination_wallet_balance": 0,
"break_down": {
"gross_interest_payout": 0,
"withholding_tax": 0,
"net_interest_payout": 0
}
}
}
3
Error Response(404)
(JSON)
{
"status": false,
"message": "Transaction not found"
}